# Record Class LDatabaseConfiguration

java.lang.Object
java.lang.Record
com.io7m.laurel.filemodel.internal.LDatabaseConfiguration

Record Components:
  `telemetry` - The telemetry interface
  `create` - The database creation option
  `upgrade` - The database upgrade option
  `file` - The database file
  `readOnly` - If the database should be read-only

All Implemented Interfaces:
  `com.io7m.darco.api.DDatabaseConfigurationType, com.io7m.darco.sqlite.DSDatabaseConfigurationType`

public record LDatabaseConfiguration(com.io7m.darco.api.DDatabaseTelemetryType telemetry, com.io7m.darco.api.DDatabaseCreate create, com.io7m.darco.api.DDatabaseUpgrade upgrade, Path file, boolean readOnly) extends Record implements com.io7m.darco.sqlite.DSDatabaseConfigurationType
The configuration information for the laurel SQLite database.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LDatabaseConfiguration(com.io7m.darco.api.DDatabaseTelemetryType telemetry, com.io7m.darco.api.DDatabaseCreate create, com.io7m.darco.api.DDatabaseUpgrade upgrade, Path file, boolean readOnly)`
  The configuration information for the laurel SQLite database.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.io7m.darco.api.DDatabaseCreate`
  `create()`
  Returns the value of the `create` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `Path`
  `file()`
  Returns the value of the `file` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `readOnly()`
  Returns the value of the `readOnly` record component.
  `com.io7m.darco.api.DDatabaseTelemetryType`
  `telemetry()`
  Returns the value of the `telemetry` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `com.io7m.darco.api.DDatabaseUpgrade`
  `upgrade()`
  Returns the value of the `upgrade` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LDatabaseConfiguration

    public LDatabaseConfiguration(com.io7m.darco.api.DDatabaseTelemetryType telemetry, com.io7m.darco.api.DDatabaseCreate create, com.io7m.darco.api.DDatabaseUpgrade upgrade, Path file, boolean readOnly)
    The configuration information for the laurel SQLite database.
    Parameters:
      `telemetry` - The telemetry interface
      `create` - The database creation option
      `upgrade` - The database upgrade option
      `file` - The database file
      `readOnly` - If the database should be read-only

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### telemetry

    public com.io7m.darco.api.DDatabaseTelemetryType telemetry()
    Returns the value of the `telemetry` record component.
    Specified by:
      `telemetry` in interface `com.io7m.darco.api.DDatabaseConfigurationType`
    Returns:
      the value of the `telemetry` record component

  - ### create

    public com.io7m.darco.api.DDatabaseCreate create()
    Returns the value of the `create` record component.
    Specified by:
      `create` in interface `com.io7m.darco.api.DDatabaseConfigurationType`
    Returns:
      the value of the `create` record component

  - ### upgrade

    public com.io7m.darco.api.DDatabaseUpgrade upgrade()
    Returns the value of the `upgrade` record component.
    Specified by:
      `upgrade` in interface `com.io7m.darco.api.DDatabaseConfigurationType`
    Returns:
      the value of the `upgrade` record component

  - ### file

    public Path file()
    Returns the value of the `file` record component.
    Specified by:
      `file` in interface `com.io7m.darco.sqlite.DSDatabaseConfigurationType`
    Returns:
      the value of the `file` record component

  - ### readOnly

    public boolean readOnly()
    Returns the value of the `readOnly` record component.
    Returns:
      the value of the `readOnly` record component